/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJasmineEventCommand.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.command
{
import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;

import mx.collections.ArrayCollection;
import mx.controls.Alert;
import mx.rpc.IResponder;
import mx.rpc.events.FaultEvent;
import mx.rpc.events.ResultEvent;

import org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.business.IGetJasmineEventDelegate;
import org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.model.QuickVisuModelLocator;
import org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.vo.JasmineMessageEventVO;

/**
 * @author Guillaume Renault
 */
public class GetJasmineEventCommand implements ICommand, IResponder
{

    public function execute(event:CairngormEvent):void
    {
        var delegate:IGetJasmineEventDelegate = QuickVisuModelLocator.getInstance().getGetJasmineEventDelegate();
        delegate.responder = this;
        delegate.getEvents();
    }

    public function result(data:Object):void
    {
        var model:QuickVisuModelLocator = QuickVisuModelLocator.getInstance();

        var result:ArrayCollection = (data as ResultEvent).result as ArrayCollection;

        model.jasmineEvents = result;

    }

    public function fault(info:Object):void
    {
        var faultEvent:FaultEvent = FaultEvent (info);
        Alert.show( "Error during the attempt to get events in the JMS topic : Unhandled error","Error" );

    }

}
}
