/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MessageEvent.as 6492 2010-05-24 09:29:30Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.model.QuickVisuModelLocator;


/**
 * A MessageEvent is dispatched when an action on the topic must be done.
 * @author Guillaume Renault
 */
public class MessageEvent extends CairngormEvent
{

    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static var GET_JASMINE_EVENT : String = "getJasmineEvent";

    public static var CONNECT_TOPIC : String = "connectToTheTopic";

    public static var DISCONNECT_TOPIC : String = "disconnectFromTheTopic";

    private var modelQV : QuickVisuModelLocator = QuickVisuModelLocator.getInstance();



    /**
     * creates a new messageEvent
     */
    public function MessageEvent(type : String)
    {
        super(type + modelQV.componentID);
    }



    override public function clone() : Event
    {
        return new MessageEvent(this.type + modelQV.componentID);
    }

}
}
